<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<dom-module id="clock-component">
    <template>
        <style>
            :host {
                background-color: black;
                color: white;
                font-family: "edelsans";
                display: block;
            }
        </style>
        <strong>[[pad(hours)]]</strong>
        <strong>[[pad(minutes)]]</strong>
        <strong>[[pad(seconds)]]</strong>
        <button on-click="_updateTime">update</button>
    </template>

    <script>
        /**
         * @customElement
         * @polymer
         */
        class ClockComponent extends Polymer.Element {
            static get is() { return 'clock-component'; }
            static get properties() {
                return {
                    hours: {
                        type: String,
                        value: '23'
                    },
                    minutes: {
                        type: String,
                        value: '59'
                    },
                    seconds: {
                        type: String,
                        value: '59',
                        notify: true
                    }
                };
            }
            
            _updateTime() {
                var d = new Date();
                this.hours = d.getHours();
                this.minutes = d.getMinutes();
                this.seconds = d.getSeconds();
            }

            pad(number) {
                return Array(Math.max(2 - String(number).length + 1, 0)).join(0) + number;
            }
        }

        window.customElements.define(ClockComponent.is, ClockComponent);
    </script>
</dom-module>